/********** Template CSS **********/
:root {
   
    /* --primary: #CD0000; */
    --primary: #0F52BA;
    --light: #F8F8F8;
    --dark: #252525;
}

h1,
h2,
.h1,
.h2,
.fw-bold {
    font-weight: 600 !important;
    font-family: Montserrat !important;
}

h3,
h4,
.h3,
.h4,
.fw-medium {
    font-weight: 500 !important;
    font-family: Montserrat !important;
}

h5,
h6,
.h5,
.h6,
.fw-normal {
    font-weight: 400 !important;
    font-family: Montserrat !important;
    
}

p,
.p {
    font-size: 18px !important;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    font-weight: 500;
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-secondary {
    color: #FFFFFF;
}

.btn-primary:hover {
    color: var(--primary) !important;
    background-color: #000 !important;
    border-color: var(--primary) !important;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.btn-outline-body {
    color: var(--primary);
    border-color: #777777;
}

.btn-outline-body:hover {
    color: #FFFFFF;
    background: var(--primary);
    border-color: var(--primary);
}


/*** Navbar ***/
.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
    
}

.navbar .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 30px 0;
    color: var(--light);
    font-weight: 800;
    text-transform: uppercase;
    outline: none;
}

@media (max-width: 767px) {
    .navbar .navbar-nav .nav-link {
       
      
        color: var(--dark);
        font-weight: 800;
     
       
        
    }
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}

/* .navbar.sticky-top {
    top: -100px;
    transition: .5s;
} */

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        transition: .5s;
        opacity: 0;
    }

    .navbar .nav-item:hover .dropdown-menu {
        transform: rotateX(0deg);
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}

.navbar.sticky-top {
    top: -100px;
    transition: top 0.5s, background-color 0.5s; /* Add background-color transition */
    background-color: transparent; /* Set initial background color */
}

.navbar.sticky-top.scrolled {
    top: 0;
    background-color: black; /* Change background color on scroll */
}

.navbar {
    transition: background-color 0.5s;
    background-color: transparent;
}

.navbar.scrolled {
    background-color: black !important;
    transition: background-color 0.5s;
}


@media (max-width: 991.98px) {
    .navbar-toggler {
        color: black !important;
    }
    .navbar-toggler-icon {
        color: black !important;
    }
}





/*** Section Title ***/
.section-title {
    color: var(--primary);
    font-weight: 600;
    letter-spacing: 5px;
    text-transform: uppercase;
}



/*** Appointment ***/
.bootstrap-datetimepicker-widget.bottom {
    top: auto !important;
}

.bootstrap-datetimepicker-widget .table * {
    border-bottom-width: 0px;
}

.bootstrap-datetimepicker-widget .table th {
    font-weight: 500;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    padding: 10px;
    border-radius: 2px;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
    background: var(--primary);
}

.bootstrap-datetimepicker-widget table td.today::before {
    border-bottom-color: var(--primary);
}

/* Testimonial */






.large-container {
    position: static;
    max-width: 1580px;
    padding: 0px 30px;
    margin: 0 auto;
  }
  
  .testimonial-section {
    position: relative;
    padding-top: 80px;
    padding-bottom: 210px;
    overflow: hidden;
    &:before {
      position: absolute;
      left: -200px;
      top: 22%;
      background-image: url(https://c-and-t-towing-llc.searchsolstest.com/wp-content/uploads/2024/05/ring-circle.png);
      background-repeat: no-repeat;
      background-position: center;
      width: 701px;
      height: 756px;
      content: "";
      -webkit-animation: fa-spin 25s infinite alternate;
      -moz-animation: fa-spin 25s infinite alternate;
      -ms-animation: fa-spin 25s infinite alternate;
      -o-animation: fa-spin 25s infinite alternate;
      animation: fa-spin 25s infinite alternate;
    }
    .sec-title {
      position: relative;
      margin-bottom: 115px;
      .title {
        margin-bottom: 20px;
      }
    }
    .testimonial-carousel {
      position: relative;
      max-width: 1100px;
      margin: 0 -50px;
    }
  }
  
  .testimonial-block {
    position: relative;
    padding: 50px;
    .inner-box {
      padding: 80px 80px;
      background-color: #ffffff;
      width: 100%;
      box-shadow: 0 0 50px rgba(51, 87, 204, 0.75);
    }
    .text {
      position: relative;
      display: block;
      font-size: 18px;
      line-height: 32px;
      color: #282331;
      font-weight: 400;
      margin-bottom: 50px;
      font-family: "Muli", sans-serif;
    }
    .info-box {
      position: relative;
      padding-left: 115px;
      padding-top: 10px;
      .thumb {
        position: absolute;
        left: 0;
        top: 0;
        height: 82px;
        width: 82px;
        img {
          border: 6px solid #e5e6fa;
          border-radius: 50%;
          overflow: hidden;
          display: block;
          
          box-shadow: 0 45px 45px rgba(147, 147, 147, 0.35);
        }
      }
      .name {
        position: relative;
        display: block;
        font-size: 21px;
        line-height: 1.2em;
        color: #382c4d;
        font-weight: 700;
        margin-bottom: 10px;
        font-family: "Niramit", sans-serif;
      }
      .designation {
        position: relative;
        display: block;
        font-size: 16px;
        line-height: 24px;
        color: var(--primary);
        font-weight: 400;
        font-family: "Muli", sans-serif;
      }
    }
  }
  
  .testimonial-carousel {
    .owl-nav {
      position: absolute;
      right: 75px;
      bottom: 70px;
    }
    .owl-next, .owl-prev {
      position: relative;
      display: inline-block;
      height: 75px;
      width: 75px;
      line-height: 75px;
      text-align: center;
      border-radius: 50%;
      background-color: var(--primary);
      -webkit-transition: all 300ms ease;
      -moz-transition: all 300ms ease;
      -ms-transition: all 300ms ease;
      -o-transition: all 300ms ease;
      transition: all 300ms ease;
    }
    .owl-next:hover, .owl-prev:hover {
      background-color: #000;
      box-shadow: 0 24px 24px rgba(187, 187, 187, 0.75);
    }
  }
  
  .arrow-right, .arrow-left {
    position: relative;
    display: inline-block;
    height: 9px;
    width: 43px;
    background-image: url(https://c-and-t-towing-llc.searchsolstest.com/wp-content/uploads/2024/05/arrow-left-2.png);
    background-repeat: no-repeat;
    background-position: center;
  }
  
  .arrow-right {
    background-image: url(https://c-and-t-towing-llc.searchsolstest.com/wp-content/uploads/2024/05/arrow-right-2.png);
  }
  
  .testimonial-section .thumb-layer {
    position: absolute;
    right: 30px;
    top: 120px;
    .image {
      position: relative;
      margin-right: 0;
      img {
        display: inline-block;
        max-width: 100%;
        height: auto;
      }
    }
  }
  
  @media only screen and (max-width: 767px) {
    .testimonial-section .sec-title {
      margin-bottom: 50px;
    }
    .testimonial-block {
      padding: 0;
      .inner-box {
        box-shadow: none;
        border: 2px solid #f1f1f1;
      }
    }
    .testimonial-carousel {
      .owl-nav {
        position: relative;
        left: 0;
        bottom: 0;
        margin-top: 20px;
        text-align: center;
      }
      .owl-next, .owl-prev {
        border: 2px solid #f1f1f1;
      }
    }
  }
  
  @media only screen and (max-width: 1366px) {
    .large-container {
      padding-left: 20px;
      padding-right: 20px;
    }
  }


.owl-theme .owl-nav [class*='owl-'] {
    color: #FFF;
    font-size: 14px;
    margin: 5px;
    padding: 4px 7px;
    background: var(--primary) !important;
    display: inline-block;
    cursor: pointer;
    border-radius: 3px;
}


/*** Footer ***/
.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #777777;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--primary);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .form-control {
    border-color: #777777;
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .copyright a:hover {
    color: var(--primary);
}
/* //////////////////////////// */

/* NEW CSS */

/* ///////////////////////////// */


@media (max-width: 767px) {
    .mobile-reset-height {
        height: auto !important; 
    }
}

@media (max-width: 767px) {
    .mobile-reset-margin {
        margin-top: 0px !important; 
    }
}

@media (max-width: 767px) {
    .mobile-reset-padding {
        padding-top: 0px !important; 
    }
}

.hover-bg:hover{
    background-color: black !important;;
}


/* Zoom Effects on Columns */

.overlay:hover {
    background-color: rgba(0, 0, 0, 0.699);
    opacity: 1;
}

.custom-column {
    position: relative;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 362px;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0); /* Transparent background */
    transition: background-color 0.5s;
}

.custom-column:hover .overlay {
    background-color: rgba(0, 0, 0, 0.795); /* Red background on hover */
}


.service-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
    border: 1px solid transparent;
    transition: .5s;
}

.service-item {
    transition: transform 0.3s ease;
  }
  
  /* Scale up the service item on hover */
  .service-item:hover {
    transform: scale(1.1);
    
  }  



      /* FAQs */

.accordion-button:not(.collapsed) {
    color: rgb(255, 255, 255);
    background-color: var(--dark);
    box-shadow: inset 0 -1px 0 rgba(0,0,0,0.125);
} 

.accordion-button {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    padding: 1rem 1.25rem;
    font-size: 1.3rem;
    color: #777;
    text-align: left;
    background-color: #e7e7e7;
    border: 0;
    border-radius: 0;
    overflow-anchor: none;
    transition: color 0.15s ease-in-out,background-color 0.15s ease-in-out,border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out,border-radius 0.15s ease;
}



/* Bell Icon */
.whatsapp {
    position: fixed;
    right: 34px;
    top: 75%;
    z-index: 9999;
}
.whatsapp h5 {
    color: white;
    background: var(--primary);
    padding: 12px 16px;
    border-radius: 100%;
    border: 2px solid white;
}

/* Pulse Annimate */

.animatePulse{
    animation: animatePulse 0.5s infinite alternate;
}

@keyframes animatePulse {
    from {
        transform: scale(1.1);
    }
    to {
        transform: scale(1.0);
    }
}